Subject: Re: bug#37092: 27.0.50; ivy-mode: M-x man always inserts a ^ into the minibuffer

From: Štěpán Němec <[email-masked]>
Date: Tue, 20 Aug 2019 18:58:45 +0200

On Tue, 20 Aug 2019 09:08:48 -0700
Eric Hanchrow wrote:

> Hmm, I just tried again on a different machine, and it indeed failed
> because of the ^
>
> This sequence works (in that it shows me the man page for "locate"):
>
>  ESC x [execute-extended-command]
>  m [self-insert-command]
>  a [self-insert-command]
>  n [self-insert-command]
>  RET [ivy-done]
>  l [self-insert-command]
>  o [self-insert-command]
>  c [self-insert-command]
>  a [self-insert-command]
>  t [self-insert-command]
>  e [self-insert-command]
>  C-a [move-beginning-of-line]
>  C-d [ivy-delete-char]
>  C-e [move-end-of-line]
>  RET [ivy-done]
>
> However, a similar sequence, but without the C-a C-d C-e (i.e., when I
> leave the caret in place), yields this message in the echo area:
>
>         Can’t find the ^locate manpage
>
> I should note that in both cases, _no_ completions are shown in the echo
> area.  It's as if ivy fails to find any completion candidates at all, and
> therefore "^locate" doesn't match any of them, so it simply passes that
> string through to the "man" command.
>
> If I have time I'll try to debug this.

[I've readded the bug list to the mail headers, please try to keep it
there]

Given that you're reporting this here I assume you installed ivy from
GNU ELPA, but I can't reproduce your problem with that version (0.12.0)
or the one from MELPA, so at the very least some more information seems
necessary from your side.

I've now also added the package author to the Cc header (there's also
the issue tracker at <https://github.com/abo-abo/swiper/issues>.)

-- 
Štěpán